Subject: Re: Invoking SQL*Plus from within cygwin
From: "Dr. Volker Zell" <[email-masked]>
To: [email-masked]
Cc: <[email-masked]>
Date: 19 Sep 2001 20:18:49 +0200

>>>>> "Upat54wo" == Upat54wo  <[email-masked]> writes:

    Upat54wo> The latest good news is sqlplus no longer crashes - I actually get a password prompt, so I am much closer than before.   Thanks for all the hints.

    Upat54wo> I do still have a problem, though.  I am getting ORA-012560 - TNS:protocol adaptor error

Believe me, if you have setup Oracle in a correct way (see the Oracle documentation)
including Net8 (or whatever version you have) then working from inside a cygwin environment
is no problem. Just be sure to set the following environment before you start your bash shell.

This is what I have:

[503]> env | grep ORA
ORACLE_SID=VZ                (needed for local connects)
ORACLE_HOME=C:/oracle/o817               "

[504]> env | grep TNS
TNS_ADMIN=C:/oracle/admin    (only needed if you have configured Net8 and have your tnsnames.ora
                              in an unusual place)

[505]> env | grep LOCAL      (not deede at all, but useful sometimes)
LOCAL=vz

Ciao
  Volker

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/